/*
Copyright © 2023 Philipp Wolfer <phw@uploadedlobster.com>

Scotty is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later version.

Scotty is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Scotty. If not, see <https://www.gnu.org/licenses/>.
*/

package auth

import (
	"net/url"

	"go.uploadedlobster.com/scotty/internal/models"
	"golang.org/x/oauth2"
)

// Must be implemented by backends requiring OAuth2 authentication
type OAuth2Authenticator interface {
	models.Backend

	// Returns OAuth2 config suitable for this backend
	OAuth2Strategy(redirectUrl *url.URL) OAuth2Strategy

	// Setup the OAuth2 client
	OAuth2Setup(token oauth2.TokenSource) error
}
