// Code generated by running "go generate" in golang.org/x/text. DO NOT EDIT.

package translations

import (
	"golang.org/x/text/language"
	"golang.org/x/text/message"
	"golang.org/x/text/message/catalog"
)

type dictionary struct {
	index []uint32
	data  string
}

func (d *dictionary) Lookup(key string) (data string, ok bool) {
	p, ok := messageKeyToIndex[key]
	if !ok {
		return "", false
	}
	start, end := d.index[p], d.index[p+1]
	if start == end {
		return "", false
	}
	return d.data[start:end], true
}

func init() {
	dict := map[string]catalog.Dictionary{
		"de": &dictionary{index: deIndex, data: deData},
		"en": &dictionary{index: enIndex, data: enData},
	}
	fallback := language.MustParse("en")
	cat, err := catalog.NewFromMap(dict, catalog.Fallback(fallback))
	if err != nil {
		panic(err)
	}
	message.DefaultCatalog = cat
}

var messageKeyToIndex = map[string]int{
	"\tbackend: %v":  11,
	"\texport: %s":   0,
	"\timport: %s\n": 1,
	"%v: %v":         52,
	"Aborted":        8,
	"Access token":   19,
	"Access token received, you can use %v now.\n": 28,
	"Append to file": 21,
	"Backend":        36,
	"Check for duplicate listens on import (slower)": 45,
	"Client ID":     15,
	"Client secret": 16,
	"Delete the service configuration \"%v\"?": 7,
	"Directory path": 47,
	"Disable auto correction of submitted listens":           24,
	"Error: OAuth state mismatch":                            27,
	"Failed reading config: %v":                              2,
	"File path":                                              20,
	"From timestamp: %v (%v)":                                38,
	"Ignore listens in incognito mode":                       48,
	"Ignore skipped listens":                                 49,
	"Ignored duplicate listen %v: \"%v\" by %v (%v)":         46,
	"Import failed, last reported timestamp was %v (%s)":     39,
	"Import log:":                                            51,
	"Imported %v of %v %s into %v.":                          40,
	"Include skipped listens":                                25,
	"Latest timestamp: %v (%v)":                              41,
	"Minimum playback duration for skipped tracks (seconds)": 50,
	"No":                                33,
	"Playlist title":                    22,
	"Saved service %v using backend %v": 5,
	"Server URL":                        17,
	"Service":                           35,
	"Service \"%v\" deleted\n":          9,
	"Service name":                      3,
	"The backend %v requires authentication. Authenticate now?": 6,
	"Token received, you can close this window now.":            12,
	"Transferring %s from %s to %s...":                          37,
	"Unique playlist identifier":                                23,
	"Updated service %v using backend %v\n":                     10,
	"User name":                                                 18,
	"Visit the URL for authorization: %v":                       26,
	"Yes":                                                       32,
	"a service with this name already exists":                   4,
	"backend %s does not implement %s":                          13,
	"done":                                                      31,
	"exporting":                                                 29,
	"importing":                                                 30,
	"invalid timestamp string \"%v\"":                           53,
	"key must only consist of A-Za-z0-9_-":                      43,
	"no configuration file defined, cannot write config":        42,
	"no existing service configurations":                        34,
	"no service configuration \"%v\"":                           44,
	"unknown backend \"%s\"":                                    14,
}

var deIndex = []uint32{ // 55 elements
	// Entry 0 - 1F
	0x00000000, 0x00000013, 0x00000027, 0x00000052,
	0x0000005e, 0x0000008d, 0x000000bd, 0x00000104,
	0x00000133, 0x0000013f, 0x00000162, 0x00000198,
	0x000001ac, 0x000001e7, 0x00000213, 0x00000233,
	0x0000023d, 0x0000024b, 0x00000256, 0x00000263,
	0x00000271, 0x0000027b, 0x0000028e, 0x000002a1,
	0x000002b8, 0x000002ec, 0x0000030d, 0x00000333,
	0x0000035d, 0x0000039d, 0x000003a8, 0x000003b3,
	// Entry 20 - 3F
	0x000003ba, 0x000003bd, 0x000003c2, 0x000003eb,
	0x000003f3, 0x000003fb, 0x00000424, 0x00000442,
	0x0000047f, 0x000004aa, 0x000004cd, 0x0000051e,
	0x00000555, 0x0000057c, 0x0000057c, 0x0000057c,
	0x0000057c, 0x0000057c, 0x0000057c, 0x0000057c,
	0x0000057c, 0x0000057c, 0x0000057c,
} // Size: 244 bytes

const deData string = "" + // Size: 1404 bytes
	"\x04\x01\x09\x00\x0e\x02Export: %[1]s\x04\x01\x09\x01\x0a\x0e\x02Import:" +
	" %[1]s\x02Fehler beim Lesen der Konfiguration: %[1]v\x02Servicename\x02e" +
	"in Service mit diesem Namen existiert bereits\x02Service %[1]v mit dem B" +
	"ackend %[2]v gespeichert\x02Das Backend %[1]v erfordert Authentifizierun" +
	"g. Jetzt authentifizieren?\x02Die Servicekonfiguration „%[1]v“ löschen?" +
	"\x02Abgebrochen\x04\x00\x01\x0a\x1e\x02Service „%[1]v“ gelöscht\x04\x00" +
	"\x01\x0a1\x02Service %[1]v mit dem Backend %[2]v aktualisiert\x04\x01" +
	"\x09\x00\x0f\x02Backend: %[1]v\x02Token erhalten, das Fenster kann jetzt" +
	" geschlossen werden.\x02das backend %[1]s implementiert %[2]s nicht\x02u" +
	"nbekanntes Backend „%[1]s“\x02Client-ID\x02Client-Secret\x02Server-URL" +
	"\x02Benutzername\x02Zugriffstoken\x02Dateipfad\x02An Datei anhängen\x02T" +
	"itel der Playlist\x02Eindeutige Playlist-ID\x02Autokorrektur für übermit" +
	"telte Titel deaktivieren\x02Übersprungene Titel einbeziehen\x02URL für A" +
	"utorisierung öffnen: %[1]v\x02Fehler: OAuth-State stimmt nicht überein" +
	"\x04\x00\x01\x0a;\x02Zugriffstoken erhalten, %[1]v kann jetzt verwendet " +
	"werden.\x02exportiere\x02importiere\x02fertig\x02Ja\x02Nein\x02keine bes" +
	"tehenden Servicekonfigurationen\x02Service\x02Backend\x02Übertrage %[1]s" +
	" von %[2]s nach %[3]s...\x02Ab Zeitstempel: %[1]v (%[2]v)\x02Import fehl" +
	"geschlagen, letzter Zeitstempel war %[1]v (%[2]s)\x02%[1]v von %[2]v %[3" +
	"]s in %[4]v importiert.\x02Letzter Zeitstempel: %[1]v (%[2]v)\x02keine K" +
	"onfigurationsdatei definiert, Konfiguration kann nicht geschrieben werde" +
	"n\x02Schlüssel darf nur die Zeichen A-Za-z0-9_- beinhalten\x02keine Serv" +
	"icekonfiguration „%[1]v“"

var enIndex = []uint32{ // 55 elements
	// Entry 0 - 1F
	0x00000000, 0x00000013, 0x00000027, 0x00000044,
	0x00000051, 0x00000079, 0x000000a1, 0x000000de,
	0x00000108, 0x00000110, 0x0000012d, 0x0000015c,
	0x00000170, 0x0000019f, 0x000001c6, 0x000001de,
	0x000001e8, 0x000001f6, 0x00000201, 0x0000020b,
	0x00000218, 0x00000222, 0x00000231, 0x00000240,
	0x0000025b, 0x00000288, 0x000002a0, 0x000002c7,
	0x000002e3, 0x00000316, 0x00000320, 0x0000032a,
	// Entry 20 - 3F
	0x0000032f, 0x00000333, 0x00000336, 0x00000359,
	0x00000361, 0x00000369, 0x00000393, 0x000003b1,
	0x000003ea, 0x00000414, 0x00000434, 0x00000467,
	0x0000048c, 0x000004ad, 0x000004dc, 0x00000515,
	0x00000524, 0x00000545, 0x0000055c, 0x00000593,
	0x0000059f, 0x000005ac, 0x000005cd,
} // Size: 244 bytes

const enData string = "" + // Size: 1485 bytes
	"\x04\x01\x09\x00\x0e\x02export: %[1]s\x04\x01\x09\x01\x0a\x0e\x02import:" +
	" %[1]s\x02Failed reading config: %[1]v\x02Service name\x02a service with" +
	" this name already exists\x02Saved service %[1]v using backend %[2]v\x02" +
	"The backend %[1]v requires authentication. Authenticate now?\x02Delete t" +
	"he service configuration \x22%[1]v\x22?\x02Aborted\x04\x00\x01\x0a\x18" +
	"\x02Service \x22%[1]v\x22 deleted\x04\x00\x01\x0a*\x02Updated service %[" +
	"1]v using backend %[2]v\x04\x01\x09\x00\x0f\x02backend: %[1]v\x02Token r" +
	"eceived, you can close this window now.\x02backend %[1]s does not implem" +
	"ent %[2]s\x02unknown backend \x22%[1]s\x22\x02Client ID\x02Client secret" +
	"\x02Server URL\x02User name\x02Access token\x02File path\x02Append to fi" +
	"le\x02Playlist title\x02Unique playlist identifier\x02Disable auto corre" +
	"ction of submitted listens\x02Include skipped listens\x02Visit the URL f" +
	"or authorization: %[1]v\x02Error: OAuth state mismatch\x04\x00\x01\x0a." +
	"\x02Access token received, you can use %[1]v now.\x02exporting\x02import" +
	"ing\x02done\x02Yes\x02No\x02no existing service configurations\x02Servic" +
	"e\x02Backend\x02Transferring %[1]s from %[2]s to %[3]s...\x02From timest" +
	"amp: %[1]v (%[2]v)\x02Import failed, last reported timestamp was %[1]v (" +
	"%[2]s)\x02Imported %[1]v of %[2]v %[3]s into %[4]v.\x02Latest timestamp:" +
	" %[1]v (%[2]v)\x02no configuration file defined, cannot write config\x02" +
	"key must only consist of A-Za-z0-9_-\x02no service configuration \x22%[1" +
	"]v\x22\x02Check for duplicate listens on import (slower)\x02Ignored dupl" +
	"icate listen %[1]v: \x22%[2]v\x22 by %[3]v (%[4]v)\x02Directory path\x02" +
	"Ignore listens in incognito mode\x02Ignore skipped listens\x02Minimum pl" +
	"ayback duration for skipped tracks (seconds)\x02Import log:\x02%[1]v: %[" +
	"2]v\x02invalid timestamp string \x22%[1]v\x22"

	// Total table size 3377 bytes (3KiB); checksum: 6715024
